package com.bonus.core.account.v3.api.dto;

import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.time.LocalDateTime;

@Data
public class AccCountDTO {
   @ApiModelProperty("开始时间")
   private LocalDateTime startTime;
   @ApiModelProperty("结束时间")
   private LocalDateTime endTime;
   @ApiModelProperty("统计类型 1 开户 2销户")
   private Integer statisticsType;

   public static AccCountDTOBuilder builder() {
      return new AccCountDTOBuilder();
   }

   public LocalDateTime getStartTime() {
      return this.startTime;
   }

   public LocalDateTime getEndTime() {
      return this.endTime;
   }

   public Integer getStatisticsType() {
      return this.statisticsType;
   }

   public void setStartTime(final LocalDateTime startTime) {
      this.startTime = startTime;
   }

   public void setEndTime(final LocalDateTime endTime) {
      this.endTime = endTime;
   }

   public void setStatisticsType(final Integer statisticsType) {
      this.statisticsType = statisticsType;
   }




   public String toString() {
      String var10000 = String.valueOf(this.getStartTime());
      return "AccCountDTO(startTime=" + var10000 + ", endTime=" + String.valueOf(this.getEndTime()) + ", statisticsType=" + this.getStatisticsType() + ")";
   }

   public AccCountDTO(final LocalDateTime startTime, final LocalDateTime endTime, final Integer statisticsType) {
      this.startTime = startTime;
      this.endTime = endTime;
      this.statisticsType = statisticsType;
   }

   public AccCountDTO() {
   }

   public static class AccCountDTOBuilder {
      private LocalDateTime startTime;
      private LocalDateTime endTime;
      private Integer statisticsType;

      AccCountDTOBuilder() {
      }

      public AccCountDTOBuilder startTime(final LocalDateTime startTime) {
         this.startTime = startTime;
         return this;
      }

      public AccCountDTOBuilder endTime(final LocalDateTime endTime) {
         this.endTime = endTime;
         return this;
      }

      public AccCountDTOBuilder statisticsType(final Integer statisticsType) {
         this.statisticsType = statisticsType;
         return this;
      }

      public AccCountDTO build() {
         return new AccCountDTO(this.startTime, this.endTime, this.statisticsType);
      }

      public String toString() {
         String var10000 = String.valueOf(this.startTime);
         return "AccCountDTO.AccCountDTOBuilder(startTime=" + var10000 + ", endTime=" + String.valueOf(this.endTime) + ", statisticsType=" + this.statisticsType + ")";
      }
   }
}
